import time
 
# Import GPIO and FT232H modules.
import Adafruit_GPIO as GPIO
import Adafruit_GPIO.FT232H as FT232H
 
# Temporarily disable the built-in FTDI serial driver on Mac & Linux platforms.
FT232H.use_FT232H()
 
# Create an FT232H object that grabs the first available FT232H device found.
ft232h = FT232H.FT232H()

ft232h.setup(4, GPIO.OUT)  # Make pin C0 a digital output.

while True:
	# Set pin C0 to a high level so the LED turns on.
	ft232h.output(4, GPIO.HIGH)
	print ('encendido')
	# Sleep for 1 second.
	time.sleep(0.1)
	# Set pin C0 to a low level so the LED turns off.
	ft232h.output(4, GPIO.LOW)
	print('apagado')
	# Sleep for 1 second.
	time.sleep(0.1)