from sx1272 import *
#from PeriodicThread import *

if __name__ == "__main__":
	# Set configuration
	c=SX1272()
	c.ON()
	c.setLORA()
	c.setBandwidth(125)
	c.setCodingRate(5)
	c.setSpreadingFactor(7)
	c.setHeaderON()
	c.setCRC_OFF()
	c.setChannel(387.3984375)
	c.receive() # Initialize reception parameters
	
	# Checking configuration
	c.getMode()
	c.getHeader()
	c.getPreambleLength()
	c.getChannel()
	c.getPower()
	c.getCRC()
	
	# Start threading
	c.startRx()
	try:
		while True:
			if len(c.queuerx)>0:
				print (c.queuerx.pop())
				
	except KeyboardInterrupt:
		c.stopRx()
	
	
	
