import Tkinter as tk
import ttk
import sys
import PeriodicThread



import matplotlib
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg, NavigationToolbar2TkAgg
from matplotlib.figure import Figure
import matplotlib.animation as animation
import matplotlib.pyplot as plt
from matplotlib import style

f, ax = plt.subplots()
line, = ax.plot([], [], lw=2)
ax.grid()
xdata, ydata = [], []


def init():
    ax.set_ylim(-1.1, 1.1)
    ax.set_xlim(0, 10)
    del xdata[:]
    del ydata[:]
    line.set_data(xdata, ydata)
    return line,

def data_gen(x=0,y=5):
    cnt = 0
    while cnt < 1000:
        cnt += 1
        yield x,y
        x=x+1
        
    
   

def animate(data):
        x,y=data
        xmin, xmax = ax.get_xlim()
        xdata.append(x)
        ydata.append(y)
        print xmin,xmax
        if x+1>=xmax:
            ax.set_xlim(xmin,xmax+6)
        line.set_data(xdata,ydata)
        f.canvas.draw()
        return line,


class Aplicacion():
    def __init__(self):
        self.raiz = tk.Tk()
        #self.raiz.geometry('850x500')
        self.raiz.title("Sniffer")
        self.canvas = FigureCanvasTkAgg(f, master=self.raiz)
        #self.canvas.draw()
        self.canvas.get_tk_widget().pack(side=tk.BOTTOM, fill=tk.BOTH, expand=True)
        self.canvas._tkcanvas.pack(side=tk.TOP, fill=tk.BOTH, expand=True)


app=Aplicacion()
ani=animation.FuncAnimation(f, animate, data_gen, blit=False, interval=100, repeat=False, init_func=init)
app.raiz.mainloop()
