from sx1272 import *

if __name__ == "__main__":
	# Set configuration
        c=SX1272()
        c.ON()
        c.setLORA()
        c.setBandwidth(125)
        c.setCodingRate(5)
        c.setSpreadingFactor(7)
        c.setHeaderON()
        c.setCRC_OFF()
        c.setChannel(387.3984375)
        c.setPowerNum(14)
        #c.receive() # Initialize reception parameters
	
        # Checking configuration
        c.getMode()
        c.getHeader()
        c.getPreambleLength()
        c.getChannel()
        c.getPower()
        c.getCRC()

        c.upload_buffer('fffabcef432e')
        c.writeRegister(REG_PAYLOAD_LENGTH_LORA,len(c.buffer))
        print c.buffer
        print len(c.buffer)

        for i in range(0x3f):
                print hex(i),':',hex(c.readRegister(i))
                #print(hex(c.readRegister(i)))
                
        #c.upload_buffer('fff')
        #print(c.buffer)
        c.transmit()
