from Tkinter import *
import sys
from sx1272 import *

c=SX1272()
class StdRedirector():    
    def __init__(self, text_widget):
        self.text_space = text_widget

    def write(self, string):
        self.text_space.config(state=NORMAL)
        self.text_space.insert("end", string)
        self.text_space.see("end")
        self.text_space.config(state=DISABLED)

class Aplicacion():
    def __init__(self):
        self.raiz = Tk()
        self.raiz.geometry('850x500')
        self.raiz.title("Sniffer")
        

        # Declara variables de control
        
        
        self.moden=IntVar(value=1)
        self.preamblelenghtn=IntVar(value=65535)
        self.setchanneln=IntVar(value=915)
        self.headern=StringVar(value='ONH')
        self.crcn=StringVar(value='ONC')
        self.setpowern=IntVar(value=14)

        
        self.etiq6=Label(self.raiz,text='Display data:')
        self.etiq6.grid(row=0,sticky=W)
        self.text_box = Text(self.raiz, state=DISABLED, height=29, width=40)
        self.text_box.grid(row=1,sticky=W,padx=5, pady=5)
        sys.stdout = StdRedirector(self.text_box)
        sys.stderr = StdRedirector(self.text_box)
        
        self.etiq1=Label(self.raiz,text='Mode:')
        self.etiq1.grid(row=1,column=1,sticky=E+N,padx=10,pady=20)
        self.mode=Spinbox(self.raiz,from_=1,to=10,wrap=True,textvariable=self.moden,width=10)
        self.mode.grid(row=1,column=2,sticky=W+N,pady=20)
        
        
        
        self.etiq2=Label(self.raiz,text='Preamble lenght:')
        self.etiq2.grid(row=1,column=1,sticky=E+N,padx=10,pady=60)
        self.preamblelenght=Entry(self.raiz,textvariable=self.preamblelenghtn,width=10)
        self.preamblelenght.grid(row=1,column=2,sticky=W+N,pady=60)
        
        self.etiq3=Label(self.raiz,text='Set Channel:')
        self.etiq3.grid(row=1,column=1,sticky=E+N,padx=10,pady=100)
        self.setchannel=Entry(self.raiz,textvariable=self.setchanneln,width=10)
        self.setchannel.grid(row=1,column=2,sticky=W+N,pady=100)
        
        self.setconfig = Button(self.raiz, text="Set configuration", command=self.setconfiguration,width=15)
        self.setconfig.place(x=400,y=180)

        self.receive=Button(self.raiz, text="Receive", command=self.receive,width=15)
        self.receive.place(x=400,y=220)
        

        self.etiq3=Label(self.raiz,text='Header:')
        self.etiq3.grid(row=1,column=3,sticky=W+N,pady=20,padx=60)
        self.header1=Radiobutton(self.raiz, text='ON', variable=self.headern, value='ONH')
        self.header1.grid(row=1,column=3,sticky=W+N,pady=20,padx=110)
        self.header2=Radiobutton(self.raiz, text='OFF', variable=self.headern, value='OFFH')
        self.header2.grid(row=1,column=3,sticky=W+N,pady=20,padx=150)
        
        self.etiq4=Label(self.raiz,text='CRC:')
        self.etiq4.grid(row=1,column=3,sticky=W+N,pady=60,padx=74)
        self.crc1=Radiobutton(self.raiz, text='ON', variable=self.crcn, value='ONC')
        self.crc1.grid(row=1,column=3,sticky=W+N,pady=60,padx=110)
        self.crc2=Radiobutton(self.raiz, text='OFF', variable=self.crcn, value='OFFC')
        self.crc2.grid(row=1,column=3,sticky=W+N,pady=60,padx=150)
        
        self.etiq5=Label(self.raiz,text='Set Power:')
        self.etiq5.grid(row=1,column=3,sticky=W+N,pady=100,padx=44)
        self.setpower=Entry(self.raiz,textvariable=self.setpowern,width=10)
        self.setpower.grid(row=1,column=3,sticky=W+N,pady=100,padx=115)

        self.reset=Button(self.raiz, text="Reset", command=self.reset,width=15)
        self.reset.place(x=600,y=220)
        

       

        

        


        self.raiz.mainloop()

    def setconfiguration(self):
        print "Std Output"
        #raise ValueError("Std Error")
        error_dato = False
        try:
            mode = int(self.moden.get())
            preamblelenght= int(self.preamblelenghtn.get())
            setchannel=int(self.setchanneln.get())
            setpower=int(self.setpowern.get())
        except:
            error_dato = True      
        if not error_dato:
            c.ON()
            c.setLORA()
            c.setMode(mode)
            c.getMode()
            c.setLowDataRateOptimize()
            c.setPreambleLength(preamblelenght)
            c.getPreambleLength()
            c.setChannel(setchannel)
            c.getChannel()
            c.setPowerNum(setpower)
            c.getPower()
            if self.headern.get()=='ONH':
                c.setHeaderON()
            if self.headern.get()=='OFFH':
                c.setHeaderOFF() 
            c.getHeader()

            if self.crcn.get()=='ONC':
                c.setCRC_ON()
            if self.crcn.get()=='OFFC':
                c.setCRC_OFF()
            c.getCRC()
            print('\n')
            print('\n')








    def receive(self):
        print('receive')

    def reset(self):
        print('reset')
        c.ON()
        





def main():
    mi_app = Aplicacion()
    return 0

if __name__ == '__main__':
    main()