from sx1272 import *

#Set configuration
c=SX1272()
c.ON()
c.setLORA()
c.setBandwidth(125)
c.setCodingRate(5)
c.setSpreadingFactor(7)
c.setHeaderON()
c.setCRC_OFF()
c.setChannel(387.3984375)
#c.setLowDataRateOptimize() #mandated for SF=11 and bw=125khz
#c.writeRegister(REG_PA_CONFIG,0x8F)
#c.writeRegister(REG_OCP,0X2B)
#c.writeRegister(REG_LNA,0x23)

#c.writeRegister(REG_SYMB_TIMEOUT_LSB,0xFF)
#c.writeRegister(REG_PAYLOAD_LENGTH_LORA,0x10)
#c.writeRegister(REG_HOP_PERIOD,0x01)
#c.writeRegister(0x37,0x0A)
#c.writeRegister(REG_IRQ_FLAGS_MASK,0x87)
#c.writeRegister(REG_IRQ_FLAGS,0xFF)
c.receive() #Initialize reception parameters


#Test if configuration OK!!
print(hex(c.readRegister(REG_FIFO_RX_BASE_ADDR)))
print(hex(c.readRegister(REG_MODEM_CONFIG1)))
print(hex(c.readRegister(REG_MODEM_CONFIG2)))
print(hex(c.readRegister(REG_DETECT_OPTIMIZE)))
print(hex(c.readRegister(REG_DETECTION_THRESHOLD)))
for i in range(0x3F):
	print hex(i), hex(c.readRegister(i))





c.getMode()
c.getHeader()
c.getPreambleLength()
c.getChannel()
c.getPower()
c.getCRC()



#reception
while(True):

	if(hex(c.readRegister(REG_IRQ_FLAGS))!='0x0'):
		print 'OK'
	c.getonePacket()
	if c.packetNumber>10:
		break


print 'End reception'



